{% extends 'dashboard.html' %}
{% block dash %}
<h2>Product - {{ product[1] }}</h2>
<div>
{% from "__formhelpers.html" import render_field %}
                <form method="post" action="/dashboard/products/{{ product[0] }}/" enctype="multipart/form-data">
            {{ form.csrf_token }}
            <div class="form-row">
                <div class="form-group col-md-6">
                {{ render_field(form.product_name, class_='form-control', value=product[1]) }}
                </div>
                <div class="form-group col-md-6">
                {{ render_field(form.product_price, class_='form-control', value=product[2]) }}
                </div>
            </div>
            <div class="form-group">
                <textarea class="form-control" id="product_description" name="product_description" rows="10">{{ product[3] }}</textarea>

            </div>
                <div class="custom-file">
                    {{ render_field(form.product_image, class_='custom-file-input') }}
                </div>
            <div class="form-row">
                <div class="form-group col-md-6">
                {{ render_field(form.bid, class_='form-control', default=product[5]) }}

                </div>
                <div class="form-group col-md-6">
                {{ render_field(form.cid, class_='form-control', default=product[6], selected=product[6]) }}
                </div>
            </div>

            <div class="form-group">
                <button type="submit" class="btn btn-primary" name="buttonpost" value="update">Update info</button>
                <button type="submit" class="btn btn-danger" name="buttonpost" value="delete">Delete</button>
            </div>
        </form>
      </div>
{% endblock %}

